Enlightenment : Différence entre versions

De ArchwikiFR
(Dépoussiérage...)
 
(28 révisions intermédiaires par 10 utilisateurs non affichées)
Ligne 1 : Ligne 1 :
[[en:E17]]
+
[[Category:Environnement graphique]]
 +
[[Category:Environnement de bureau]]
 +
[[Category:Gestionnaire de fenêtres]]
 +
[[en:Enlightenment]]{{DISPLAYTITLE:Enlightenment}}
 +
[http://www.enlightenment.org/ Enlightenment], aussi appelé E, est un
 +
[[:category:gestionnaire de fenêtres|gestionnaire de fenêtres]] pour le
 +
système d'affichage [[Xorg|X Window]].
  
Enlightenment, aussi appelé E, est un gestionnaire de fenêtres et un environnement de bureau pour le système d'affichage X Window. Il se distingue des environnements classiques et populaires GNOME et KDE en étant entièrement paramétrable et avec une modularité importante. Enlightenment a été conçu pour être déployable sur des systèmes avec de grosses contraintes de ressources comme sur les systèmes plus puissants.
+
Enlightenment se compose d'un gestionnaire de fenêtres ainsi
 
+
que des bibliothèques EFL (Enlightenment Foundation Libraries) sur lesquelles s'appuient un certain nombre de logiciels.
La version E17 est en développement depuis de nombreuses années. Le concepteur principal, Rasterman, vise à transformer Enlightenment de gestionnaire de fenêtres à un environnement de bureau complet. E17 s'appuie sur un jeu de bibliothèques appelées "'''EFL'''" pour "'''Enlightenment Foundation Libraries'''".
 
 
 
= Installation =
 
Pour installer Enlightenment, entrez en console :
 
  
 +
=Installation=
  
 
  pacman -S enlightenment
 
  pacman -S enlightenment
  
Vous pouvez également installer les modules complémentaires "'''epplet-base'''".
+
{{note|Vous pouvez également installer {{pkg|terminology}}, un émulateur de terminal développé en EFL, qui s'intègre donc bien à Enlightenment.}}
 
 
=== Depuis le dépôt communautaire (SVN snapshots) ===
 
 
 
{{Note|Soyez sûre que [[community repository]] soit renseigné dans votre {{Filename|/etc/pacman.conf}}.}}
 
 
 
Pour installer e17:
 
pacman -S e-svn
 
 
 
Pour l'installer les modules et applications additionnelles:
 
pacman -S e17-extra-svn
 
 
 
Pour installer des polices additionnelles ([[Fonts]]) : voyez en particulier [[Fonts#Desktop environments|recommended fonts for Desktop Environments]].
 
 
 
Si vous avez besoin ou souhaitez un paquet d'e17 qui n'est pas (encore) disponible dans le dépôt [community], pensez à regarder du côté du dépôt [[AUR]].
 
 
 
{{Warning|Comme e17 est toujours une application en développement nous vous encourageons à garder les paquets des versions précédentes sur votre machine, ce qui vous permettra de revenir en arrière ([[downgrade]]) si nécessaire.}}
 
 
 
=== Compiler et packager avec le script ArchE17 ===
 
 
 
Vous pouvez créer vos propres paquets e17 pour Arch Linux avec un petit script en Python appelé [http://dev.archlinux.org/~ronald/e17.html ArchE17].
 
 
 
==== Mettre à jour E17 avec "Update_e17.sh" ====
 
 
 
{{Codeline|update_e17.sh}} est un script zenity qui est fait pour accompagner {{Codeline|easy_e17.sh}}. Cela simplifie plusieurs aspects dans le processus de mise à jour d'e17 comme les sauvegardes et les restaurations de votre arbre E17(en cas de problème). Cela permet également de revenir à une version spécifique (toujours en cas de problème) ou même de vous faire savoir quand une nouvelle révision arrive dans l'arbre svn d'e17. Consultez [http://cafelinux.org/OzOs/content/how-administer-your-ozos-e17-desktop this page] pour plus d'information sur ce composant optionnel. Vous pouvez également le récupérer depuis [[AUR]]: {{Package AUR|oz-e17-tools}}.
 
 
 
# Mettez {{Filename|/opt/e17/bin}} dans votre {{Codeline|PATH}} en éditant {{Filename|/etc/profile}}. Par exemple, vous pouvez ajouter cette ligne à la fin du fichier: <pre>PATH="$PATH:/opt/e17/bin"</pre>
 
# Si, après que l'installation soit terminée, xinitrc avertit qu'il ne peut pas trouver enlightenment au démarrage, vous aurez certainement besoin d'ajouter ces lignes à la fin de /etc/profile également:
 
  PYTHONPATH=":$PYTHONPATH"
 
  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/opt/e17/lib"
 
 
 
Si vous rencontrez des erreurs en essayant d'installer E17, soyez sûre avant tout qu'il n'y a pas de problème de dépendances. S'il y en a, installez les dépendances et continuez l'installation d'e17 ensuite.
 
 
 
Pour mettre à jour E17 sans utiliser les programmes mentionnées ci-dessus, exécutez cette commande en tant qu'administrateur (root):
 
# easy_e17.sh -u
 
  
 +
{{note|La première version d'Enlightenment, {{AUR|enlightenment16}}, est encore disponible sur [[AUR]].}}
  
 
= Lancement =
 
= Lancement =
  
Si vous utilisez {{Codeline|startx}} ou un simple gestionnaire de sessions ([[Display Manager]]) comme XDM ou [[SLiM]], ajoutez ou décommentez les lignes suivantes dans votre fichier [[xinitrc]]:
+
==startx==
 +
La commande à utiliser est {{codeline|enlightenment_start}}, à utiliser
 +
avec ~/.[[startx|xinitrc]] par exemple:
 
  exec enlightenment_start
 
  exec enlightenment_start
 +
Puis:
 +
startx
  
Les gestionnaires de sessions plus avancés comme [[GDM]] and [[KDM]] vont automatiquement détecter E17 grâce au fichier {{Filename|/usr/share/xsessions/enlightenment.desktop}} fourni par le paquet {{Codeline|e-svn}}.
+
==Entrance==
 
 
= Compatibilité avec les applications Gtk =
 
Si vous installez Enlightenment, vous vous apercevrez rapidement que toutes vos applications Gtk ne sont pas très bien intégrées. Pour résoudre ce problème, il suffit de changer le thème Gtk par défaut en installant par exemple "'''gtk-chtheme'''" :
 
  
 +
Enlightenment dispose d'un gestionnaire de connexion appelé Entrance disponible
 +
sur [[AUR]]: {{AUR|entrance-git}}. Sa configuration est possible dans
 +
{{filename|/etc/entrance.conf}}.
 +
Pour lancer Entrance automatiquement au démarrage:
 +
systemctl enable entrance.service
  
pacman -S gtk-chtheme
+
==Autre==
 +
Vous pouvez aussi choisir la session ''enlightenment'' depuis un autre
 +
[[gestionnaire de connexions]].
  
 +
= Configuration =
  
 
== Configurer le réseau ==
 
== Configurer le réseau ==
  
Le gestionnaire de réseau conseillé pour Enlightenment est [[Connman]], que vous pouvez télécharger depuis [[AUR]] (Voir [http://aur.archlinux.org/packages.php?ID=25181 connman]) . Vous n'avez pas besoin de suivre les instructions sur le wiki de Connman ([[Connman|Connman wiki page]]) -- c'est du moins ce que je pense; actuellement ConnMan inclut déjà la ''politique de section de groupe''(mais toutefois avec seulement deux états, pas trois).
+
===ConnMan===
  
Ensuite, éditez votre fichier {{Codeline|/etc/rc.conf}}. Retirez '''network''' de la ligne des démons (DAEMONS). Ajoutez '''connmand'''.
+
Le gestionnaire de réseau conseillé pour Enlightenment est [[Connman|ConnMan]].
  
ConnMan se lance très rapidement et gère très efficacement DHCP. Si vous avez installé [[Wpa_supplicant]], ConnMan détecte et affiche tout les connexions sans-fil disponibleslatches.
+
===Network Manager===
  
== Installer des Themes ==
+
Vous pouvez aussi utiliser [[NetworkManager]] pour gérer vos connexions.
  
Plus de themes sont disponibles pour customiser votre environnement e17 sur:
+
= Problèmes connus =
* [http://exchange.enlightenment.org/ exchange.enlightenment.org], pour lequel vous pouvez utiliser le paquet {{Package AUR|e17-themes}} [[AUR]].
 
* [http://www.e17-stuff.org e17-stuff.org]
 
  
Vous pouvez installer les thèmes (au format .edj) depuis la boite de dialogue de configuration. Depuis 2010 il y a un changement concernant le fonctionnement des thèmes, donc pour faire fonctionner les anciens thème il faut effectuer la commande suivante:
+
Si vous remarquez un comportement inattendu, vous pouvez tenter
edje_convert <theme>.edj
+
plusieurs choses pour résoudre ces soucis :
 
 
Note: les binaires pour le paquet edje_convert ont été abandonnés par les développeurs... voir: [http://trac.enlightenment.org/e/changeset/56156 trac.enlightenment.org]
 
 
 
Vous pouvez aussi changer le thème pour le toolkit etk (celui qui est utilisé par exhibit). Vous pouvez démarrer le dialogue pour changer le toolkit etk en démarrant {{Codeline|etk_prefs}}.
 
 
 
== FAQs ==
 
 
 
=== Qu'est-il arrivé à Entrance ? ===
 
 
 
{{Codeline|entrance}}, un gestionnaire d'affichage ([[Display Manager]]) basé sur les librairies EFLs, n'est plus maintenu. Elsa, le remplace et est disponible ici : {{Package AUR|elsa-svn}} [[AUR]].
 
 
 
== Problèmes connus ==
 
 
 
Si vous remarquez un comportement inattendu d'e17, vous pouvez faire certaines choses pour résoudre ces soucis:
 
 
# Essayez de voir si le même comportement existe avec le thème par défaut
 
# Essayez de voir si le même comportement existe avec le thème par défaut
# Faites une sauvegarde {{Filename|~/.e}} et supprimez le (e.g. {{Codeline|mv ~/.e ~/.e.back}}).
+
# Faites une sauvegarde {{Filename|~/.e}} et supprimez-le (e.g. {{Codeline|mv ~/.e ~/.e.back}}).
 
 
Si vous êtes certain de constater un bug merci de le rapporter aux développeurs d'E17 directement
 
  
=== Curseurs ===
+
Si vous êtes certain de constater un bug, merci de le rapporter aux développeurs d'Enlightenment directement.
  
Si X vous dit que les curseurs ne sont pas disponibles, installez le paquet {{Package Official|libxcursor}}.
+
== Le déverrouillage d'écran ne fonctionne pas ==
 
 
=== Le déverrouillage d'écran ne fonctionne pas ===
 
  
 
Si le verrouillage de l'écran n'accepte pas votre mot de passe ajoutez ceci à votre fichier {{Filename|/etc/pam.d/enlightenment}}:
 
Si le verrouillage de l'écran n'accepte pas votre mot de passe ajoutez ceci à votre fichier {{Filename|/etc/pam.d/enlightenment}}:
 
  auth required pam_unix_auth.so
 
  auth required pam_unix_auth.so
  
=== Polices illisibles ===
+
== Polices illisibles ==
  
Si les polices sont trop petites et que votre écran est illisible, soyez sûre que les bonnes polices sont installées:
+
Si les polices sont trop petites et que votre écran est illisible, soyez sûr que les bonnes polices sont installées :
 
  pacman -S ttf-dejavu ttf-bitstream-vera
 
  pacman -S ttf-dejavu ttf-bitstream-vera
  
== Liens externes ==
 
  
* Site officiel (en) : [http://www.enlightenment.org/]
+
= Liens externes =
* [http://exchange.enlightenment.org/ exchange.enlightenment.org]
+
 
* [http://e17-stuff.org/ e17-stuff.org]
+
* [http://www.enlightenment.org/ Site officiel (en)]
* [[Catégorie:Environnement graphique]]
 
* [[Catégorie:Environnement de bureau]]
 
* [[Catégorie:E17]]
 

Version actuelle datée du 19 octobre 2019 à 09:51

Enlightenment, aussi appelé E, est un gestionnaire de fenêtres pour le système d'affichage X Window.

Enlightenment se compose d'un gestionnaire de fenêtres ainsi que des bibliothèques EFL (Enlightenment Foundation Libraries) sur lesquelles s'appuient un certain nombre de logiciels.

Installation

pacman -S enlightenment
Note : Vous pouvez également installer terminology, un émulateur de terminal développé en EFL, qui s'intègre donc bien à Enlightenment.
Note : La première version d'Enlightenment, enlightenment16, est encore disponible sur AUR.

Lancement

startx

La commande à utiliser est enlightenment_start, à utiliser avec ~/.xinitrc par exemple:

exec enlightenment_start

Puis:

startx

Entrance

Enlightenment dispose d'un gestionnaire de connexion appelé Entrance disponible sur AUR: entrance-git. Sa configuration est possible dans /etc/entrance.conf. Pour lancer Entrance automatiquement au démarrage:

systemctl enable entrance.service

Autre

Vous pouvez aussi choisir la session enlightenment depuis un autre gestionnaire de connexions.

Configuration

Configurer le réseau

ConnMan

Le gestionnaire de réseau conseillé pour Enlightenment est ConnMan.

Network Manager

Vous pouvez aussi utiliser NetworkManager pour gérer vos connexions.

Problèmes connus

Si vous remarquez un comportement inattendu, vous pouvez tenter plusieurs choses pour résoudre ces soucis :

  1. Essayez de voir si le même comportement existe avec le thème par défaut
  2. Faites une sauvegarde ~/.e et supprimez-le (e.g. mv ~/.e ~/.e.back).

Si vous êtes certain de constater un bug, merci de le rapporter aux développeurs d'Enlightenment directement.

Le déverrouillage d'écran ne fonctionne pas

Si le verrouillage de l'écran n'accepte pas votre mot de passe ajoutez ceci à votre fichier /etc/pam.d/enlightenment:

auth required pam_unix_auth.so

Polices illisibles

Si les polices sont trop petites et que votre écran est illisible, soyez sûr que les bonnes polices sont installées :

pacman -S ttf-dejavu ttf-bitstream-vera


Liens externes